# TASK WHICH WILL BE EXECUTED: label, train, evaluate, serve
task = 'label'

# ROOT DIRECTORY OF THE INPUT DATA, WHERE ALL SPECIMENS ARE CONTAINED IN SUB FOLDERS
# data_dir = 'data/raw_640x512_small'
data_dir = 'data/raw_640x512'

# OUTPUT DIRECTORY
output_dir = 'data'

# OUTPUT TYPE OF THE CREATED FILE: pickle, tfrecord
output_type = 'pickle'

# DATA TYPE
data_type = 'auto_histogram'

# WHETHER TO CREATE BINARY MASK FOR PHASE IMAGES AND CT-STACK
create_binary_masks = True

# WHETHER TO KEEP THE CT-STACK FOR EACH SPECIMEN (INCREASES THE SIZE OF THE OUTPUT FILE SUBSTANTIALLY IF TRUE)
keep_ct_stacks = False

# ENCODING OF THE GRAY VALUE TO WALL THICKNESS (DEPENDS ON THE SPECIFIED PARAMETERS OF THE WALL THICKNESS ANALYSIS FOR THE CT SCAN)
gray_value_min_thickness = 0  #   0 =  0 mm
gray_value_max_thickness = 10 # 255 = 10 mm
